package com.hellbreecher.arcanum.common.lib;

import net.minecraft.init.SoundEvents;
import net.minecraft.item.Item;
import net.minecraft.item.ItemArmor;
import net.minecraftforge.common.util.EnumHelper;

/* loaded from: com_hellbreecher_arcanum_common_lib.jar:com/hellbreecher/arcanum/common/lib/EnumMaterial.class */
public class EnumMaterial extends Reference {
    public static ItemArmor.ArmorMaterial GreenSapphireArmorMaterial = EnumHelper.addArmorMaterial("GreenSapphire", "arcanum:greenSapphireArmor", 66, new int[]{4, 8, 5, 5}, 30, SoundEvents.field_187575_bT, 20.0f);
    public static ItemArmor.ArmorMaterial BloodDiamondArmorMaterial = EnumHelper.addArmorMaterial("BloodDiamond", "arcanum:bloodDiamondArmor", 99, new int[]{6, 10, 8, 8}, 30, SoundEvents.field_187843_fX, 40.0f);
    public static ItemArmor.ArmorMaterial VoidDiamondArmorMaterial = EnumHelper.addArmorMaterial("VoidDiamond", "arcanum:voidDiamondArmor", 132, new int[]{10, 12, 16, 16}, 30, SoundEvents.field_187716_o, 60.0f);
    public static ItemArmor.ArmorMaterial InfernalDiamondArmorMaterial = EnumHelper.addArmorMaterial("InfernalDiamond", "arcanum:infernalDiamondArmor", 9000, new int[]{50, 50, 50, 50}, 30, SoundEvents.field_187689_f, 80.0f);
    public static ItemArmor.ArmorMaterial InfernalArmorMaterial = EnumHelper.addArmorMaterial("Infernal", "arcanum:infernalArmor", 9999, new int[]{9999, 9999, 9999, 9999}, 30, SoundEvents.field_187616_bj, 9999.0f);
    public static Item.ToolMaterial GreenSapphireToolMaterial = EnumHelper.addToolMaterial("GreenSapphire", 5, 1500, 10.0f, 10.0f, 30);
    public static Item.ToolMaterial BloodDiamondToolMaterial = EnumHelper.addToolMaterial("BloodDiamond", 8, 3000, 20.0f, 50.0f, 30);
    public static Item.ToolMaterial VoidDiamondToolMaterial = EnumHelper.addToolMaterial("VoidDiamond", 10, 6000, 50.0f, 75.0f, 30);
    public static Item.ToolMaterial InfernalDiamondMaterial = EnumHelper.addToolMaterial("InfernalDiamond", 12, 8000, 100.0f, 100.0f, 30);
    public static Item.ToolMaterial InfernalMaterial = EnumHelper.addToolMaterial("Infernal", 9999, 1, 500.0f, 1.0E10f, 30);
    public static Item.ToolMaterial BasicBeatingStick = EnumHelper.addToolMaterial("BasicBeatingStick", 0, 1500, 0.0f, 10.0f, 15);
    public static Item.ToolMaterial InfernalBeatingStick = EnumHelper.addToolMaterial("InfernalBeatingStick", 0, 3000, 0.0f, 15.0f, 30);

    public static float getAxeAttackSpeed(Item.ToolMaterial material) {
        float output = 0.0f;
        if (material == GreenSapphireToolMaterial) {
            output = 1.0f;
        } else if (material == BloodDiamondToolMaterial) {
            output = 1.5f;
        } else if (material == VoidDiamondToolMaterial) {
            output = 2.0f;
        } else if (material == InfernalDiamondMaterial) {
            output = 2.5f;
        } else if (material == InfernalMaterial) {
            output = 10.0f;
        }
        return output;
    }

    public static float getAxeDamage(Item.ToolMaterial material) {
        float output = 0.0f;
        if (material == GreenSapphireToolMaterial) {
            output = 6.0f;
        } else if (material == BloodDiamondToolMaterial) {
            output = 10.0f;
        } else if (material == VoidDiamondToolMaterial) {
            output = 15.0f;
        } else if (material == InfernalDiamondMaterial) {
            output = 15.0f;
        } else if (material == InfernalMaterial) {
            output = 1.0E10f;
        }
        return output;
    }
}
